Index: src/shapes/CMakeLists.txt
===================================================================
--- src/shapes/CMakeLists.txt	(revision 54114)
+++ src/shapes/CMakeLists.txt	(working copy)
@@ -2,23 +2,23 @@
   ${WDB_INCLUDE_DIRS}
   ${CMAKE_CURRENT_SOURCE_DIR}
   )
-LIST(REMOVE_DUPLICATES SHAPES_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES SHAPES_INCLUDE_DIRS)
 include_directories(${SHAPES_INCLUDE_DIRS})
 
-BRLCAD_ADDEXEC(bolt bolt.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(coil coil.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(fence fence.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(gastank gastank.c libwdb)
-BRLCAD_ADDEXEC(handle handle.c libwdb)
-BRLCAD_ADDEXEC(human human.c "libged;libwdb")
-BRLCAD_ADDEXEC(picket_fence picket_fence.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(tire tire.c "libged;libwdb")
-BRLCAD_ADDEXEC(window window.c libwdb)
-BRLCAD_ADDEXEC(window_frame window_frame.c libwdb)
-BRLCAD_ADDEXEC(wire wire.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(bolt bolt.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(coil coil.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(fence fence.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(gastank gastank.c libwdb)
+brlcad_addexec(handle handle.c libwdb)
+brlcad_addexec(human human.c "libged;libwdb")
+brlcad_addexec(picket_fence picket_fence.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(tire tire.c "libged;libwdb")
+brlcad_addexec(window window.c libwdb)
+brlcad_addexec(window_frame window_frame.c libwdb)
+brlcad_addexec(wire wire.c "libwdb;${M_LIBRARY}")
 
-CMAKEFILES(fence.h)
-CMAKEFILES(Makefile.am)
+cmakefiles(fence.h)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/anim/CMakeLists.txt
===================================================================
--- src/anim/CMakeLists.txt	(revision 54114)
+++ src/anim/CMakeLists.txt	(working copy)
@@ -2,41 +2,41 @@
   ${BU_INCLUDE_DIRS}
   ${BN_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES ANIM_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES ANIM_INCLUDE_DIRS)
 include_directories(${ANIM_INCLUDE_DIRS})
 
-BRLCAD_ADDEXEC(anim_cascade anim_cascade.c "libbn;libbu")
+brlcad_addexec(anim_cascade anim_cascade.c "libbn;libbu")
 
-BRLCAD_ADDEXEC(anim_fly anim_fly.c "libbu;${M_LIBRARY}")
+brlcad_addexec(anim_fly anim_fly.c "libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(anim_hardtrack anim_hardtrack.c "libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(anim_hardtrack anim_hardtrack.c "libbn;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(anim_keyread anim_keyread.c "libbn;libbu")
+brlcad_addexec(anim_keyread anim_keyread.c "libbn;libbu")
 
-BRLCAD_ADDEXEC(anim_lookat anim_lookat.c "libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(anim_lookat anim_lookat.c "libbn;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(anim_offset anim_offset.c "libbn;libbu")
+brlcad_addexec(anim_offset anim_offset.c "libbn;libbu")
 
-BRLCAD_ADDEXEC(anim_orient anim_orient.c "libbn;libbu")
+brlcad_addexec(anim_orient anim_orient.c "libbn;libbu")
 
-BRLCAD_ADDEXEC(anim_script anim_script.c "libbn;libbu")
+brlcad_addexec(anim_script anim_script.c "libbn;libbu")
 
-BRLCAD_ADDEXEC(anim_sort anim_sort.c libbu)
+brlcad_addexec(anim_sort anim_sort.c libbu)
 
-BRLCAD_ADDEXEC(anim_time anim_time.c "libbu;${M_LIBRARY}")
+brlcad_addexec(anim_time anim_time.c "libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(anim_track "anim_track.c;cattrack.c" "libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(anim_track "anim_track.c;cattrack.c" "libbn;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(anim_turn anim_turn.c "libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(anim_turn anim_turn.c "libbn;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(chan_add chan_add.c libbu)
+brlcad_addexec(chan_add chan_add.c libbu)
 
-BRLCAD_ADDEXEC(chan_mult chan_mult.c libbu)
+brlcad_addexec(chan_mult chan_mult.c libbu)
 
-BRLCAD_ADDEXEC(chan_permute chan_permute.c libbu)
+brlcad_addexec(chan_permute chan_permute.c libbu)
 
-CMAKEFILES(cattrack.h)
-CMAKEFILES(Makefile.am)
+cmakefiles(cattrack.h)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/rttherm/CMakeLists.txt
===================================================================
--- src/rttherm/CMakeLists.txt	(revision 54114)
+++ src/rttherm/CMakeLists.txt	(working copy)
@@ -5,21 +5,21 @@
   ${MULTISPECTRAL_INCLUDE_DIRS}
   ${OPTICAL_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES RTTHERM_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES RTTHERM_INCLUDE_DIRS)
 include_directories(${RTTHERM_INCLUDE_DIRS})
 
 if(BRLCAD_ENABLE_X11 AND BRLCAD_ENABLE_TK)
-  BRLCAD_ADDEXEC(ssampview "spectrum.c;ssampview.c" "libfb;libmultispectral;${TCL_TK_LIBRARY};${X11_LIBRARIES}")
+  brlcad_addexec(ssampview "spectrum.c;ssampview.c" "libfb;libmultispectral;${TCL_TK_LIBRARY};${X11_LIBRARIES}")
 endif(BRLCAD_ENABLE_X11 AND BRLCAD_ENABLE_TK)
 
-BRLCAD_ADDEXEC(rttherm "spectrum.c;viewtherm.c" "libfb;libged;librttherm;libmultispectral")
-SET_TARGET_PROPERTIES(rttherm PROPERTIES COMPILE_DEFINITIONS "RT_MULTISPECTRAL")
+brlcad_addexec(rttherm "spectrum.c;viewtherm.c" "libfb;libged;librttherm;libmultispectral")
+set_target_properties(rttherm PROPERTIES COMPILE_DEFINITIONS "RT_MULTISPECTRAL")
 install(PROGRAMS ssampview.tcl DESTINATION ${BIN_DIR})
 
-BRLCAD_ADDEXEC(ssamp-bw ssamp-bw.c libmultispectral)
+brlcad_addexec(ssamp-bw ssamp-bw.c libmultispectral)
 
-CMAKEFILES(pixtest.c ssampview.tcl std_day_1km.dat test.sh)
-CMAKEFILES(Makefile.am)
+cmakefiles(pixtest.c ssampview.tcl std_day_1km.dat test.sh)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/rt/CMakeLists.txt
===================================================================
--- src/rt/CMakeLists.txt	(revision 54114)
+++ src/rt/CMakeLists.txt	(working copy)
@@ -4,7 +4,7 @@
   ${RT_INCLUDE_DIRS}
   ${CMAKE_CURRENT_SOURCE_DIR}
   )
-LIST(REMOVE_DUPLICATES RTBIN_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES RTBIN_INCLUDE_DIRS)
 include_directories(${RTBIN_INCLUDE_DIRS})
 
 set(RT_COMMON_SRCS
@@ -18,7 +18,7 @@
 endif(NOT MSVC)
 
 set(rtexample_SRCS rtexample.c)
-BRLCAD_ADDDATA(rtexample.c sample_applications)
+brlcad_adddata(rtexample.c sample_applications)
 
 set(reshoot_SRCS reshoot.c)
 
@@ -129,49 +129,49 @@
   set(LIBREMRT_SOURCES ${LIBREMRT_SOURCES} heatgraph.c)
 endif(NOT MSVC)
 
-BRLCAD_ADDEXEC(rtexample "${rtexample_SRCS}" "librt;libfb;liboptical;libicv" NO_INSTALL)
+brlcad_addexec(rtexample "${rtexample_SRCS}" "librt;libfb;liboptical;libicv" NO_INSTALL)
 
-BRLCAD_ADDEXEC(reshoot "${reshoot_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv")
+brlcad_addexec(reshoot "${reshoot_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv")
 
-BRLCAD_ADDEXEC(rtwalk "${rtwalk_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtwalk "${rtwalk_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtshot "${rtshot_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtshot "${rtshot_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtregis "${rtregis_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv")
+brlcad_addexec(rtregis "${rtregis_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv")
 
-BRLCAD_ADDEXEC(rtscale "${rtscale_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtscale "${rtscale_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rt "${rt_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rt "${rt_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rt_bot_faces "${rt_bot_faces_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rt_bot_faces "${rt_bot_faces_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtarea "${rtarea_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtarea "${rtarea_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtcell "${rtcell_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtcell "${rtcell_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtcheck "${rtcheck_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtcheck "${rtcheck_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtedge "${rtedge_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtedge "${rtedge_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtfrac "${rtfrac_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtfrac "${rtfrac_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtg3 "${rtg3_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtg3 "${rtg3_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rthide "${rthide_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rthide "${rthide_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtpp "${rtpp_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtpp "${rtpp_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtrad "${rtrad_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtrad "${rtrad_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtrange "${rtrange_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtrange "${rtrange_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtray "${rtray_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtray "${rtray_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtsil "${rtsil_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtsil "${rtsil_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtweight "${rtweight_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtweight "${rtweight_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rtxray "${rtxray_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
+brlcad_addexec(rtxray "${rtxray_SRCS}" "${CMAKE_THREAD_LIBS_INIT};librt;libfb;liboptical;libicv;${M_LIBRARY}")
 
 
 add_library(libremrt STATIC ${LIBREMRT_SOURCES})
@@ -180,7 +180,7 @@
 endif(M_LIBRARY)
 
 add_library(librttherm STATIC ${RT_COMMON_SRCS})
-SET_TARGET_PROPERTIES(librttherm PROPERTIES LINKER_LANGUAGE C)
+set_target_properties(librttherm PROPERTIES LINKER_LANGUAGE C)
 
 set(rt_ignore_files
   ext.h
@@ -192,8 +192,8 @@
   viewdummy.c
   viewscat.c
   )
-CMAKEFILES(${rt_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${rt_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libtermio/CMakeLists.txt
===================================================================
--- src/libtermio/CMakeLists.txt	(revision 54114)
+++ src/libtermio/CMakeLists.txt	(working copy)
@@ -5,12 +5,12 @@
     ${BRLCAD_SOURCE_DIR}/include
     ${TERMLIB_INCLUDE_DIRS}
     )
-  BRLCAD_LIB_INCLUDE_DIRS(termio TERMIO_INCLUDE_DIRS "")
+  brlcad_lib_include_dirs(termio TERMIO_INCLUDE_DIRS "")
 
-  BRLCAD_ADDLIB(libtermio termio.c "${TERMLIB_LIBRARY}")
-  SET_TARGET_PROPERTIES(libtermio PROPERTIES VERSION 20.0.1 SOVERSION 20)
-  CMAKEFILES(termio_win32.c)
-  CMAKEFILES(Makefile.am)
+  brlcad_addlib(libtermio termio.c "${TERMLIB_LIBRARY}")
+  set_target_properties(libtermio PROPERTIES VERSION 20.0.1 SOVERSION 20)
+  cmakefiles(termio_win32.c)
+  cmakefiles(Makefile.am)
 endif(HAVE_TERMLIB)
 
 # Local Variables:
Index: src/proc-db/CMakeLists.txt
===================================================================
--- src/proc-db/CMakeLists.txt	(revision 54114)
+++ src/proc-db/CMakeLists.txt	(working copy)
@@ -3,50 +3,50 @@
   ${OPENNURBS_INCLUDE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   )
-LIST(REMOVE_DUPLICATES PROC_DB_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES PROC_DB_INCLUDE_DIRS)
 include_directories(${PROC_DB_INCLUDE_DIRS})
 
-BRLCAD_ADDEXEC(bottest bottest.c libwdb)
-BRLCAD_ADDEXEC(brep_cube brep_cube.cpp "libwdb;${OPENNURBS_LIBRARY}")
-BRLCAD_ADDEXEC(brep_simple brep_simple.cpp "libwdb;${OPENNURBS_LIBRARY}")
+brlcad_addexec(bottest bottest.c libwdb)
+brlcad_addexec(brep_cube brep_cube.cpp "libwdb;${OPENNURBS_LIBRARY}")
+brlcad_addexec(brep_simple brep_simple.cpp "libwdb;${OPENNURBS_LIBRARY}")
 
 # NOSTRICT used due to openNURBS header overflow warning
-BRLCAD_ADDEXEC(brepintersect brepintersect.cpp "libwdb;${OPENNURBS_LIBRARY}" NOSTRICT)
-BRLCAD_ADDEXEC(breplicator breplicator.cpp "libwdb;${OPENNURBS_LIBRARY}")
-BRLCAD_ADDEXEC(brickwall brickwall.c libwdb)
-BRLCAD_ADDEXEC(clutter "clutter.c;common.c" "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(contours contours.c libwdb)
-BRLCAD_ADDEXEC(csgbrep csgbrep.cpp libwdb)
-BRLCAD_ADDEXEC(globe globe.c libwdb)
-BRLCAD_ADDEXEC(kurt kurt.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(lens lens.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(masonry masonry.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(menger menger.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(metaball metaball.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(mkbuilding "mkbuilding.c;makebuilding/makebuilding.c" libwdb)
-BRLCAD_ADDEXEC(molecule molecule.c libwdb)
-BRLCAD_ADDEXEC(nmgmodel nmgmodel.c libwdb)
-BRLCAD_ADDEXEC(pdb-g pdb-g.c libwdb)
-BRLCAD_ADDEXEC(pipe pipe.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(pipetest pipetest.c libwdb)
-BRLCAD_ADDEXEC(pix2g pix2g.c libwdb)
-BRLCAD_ADDEXEC(pyramid pyramid.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(rawbot rawbot.c libwdb)
-BRLCAD_ADDEXEC(ringworld ringworld.c libwdb)
-BRLCAD_ADDEXEC(room "room.c;common.c" "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(sketch sketch.c libwdb)
-BRLCAD_ADDEXEC(sphflake sphflake.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(spltest spltest.c libwdb)
+brlcad_addexec(brepintersect brepintersect.cpp "libwdb;${OPENNURBS_LIBRARY}" NOSTRICT)
+brlcad_addexec(breplicator breplicator.cpp "libwdb;${OPENNURBS_LIBRARY}")
+brlcad_addexec(brickwall brickwall.c libwdb)
+brlcad_addexec(clutter "clutter.c;common.c" "libwdb;${M_LIBRARY}")
+brlcad_addexec(contours contours.c libwdb)
+brlcad_addexec(csgbrep csgbrep.cpp libwdb)
+brlcad_addexec(globe globe.c libwdb)
+brlcad_addexec(kurt kurt.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(lens lens.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(masonry masonry.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(menger menger.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(metaball metaball.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(mkbuilding "mkbuilding.c;makebuilding/makebuilding.c" libwdb)
+brlcad_addexec(molecule molecule.c libwdb)
+brlcad_addexec(nmgmodel nmgmodel.c libwdb)
+brlcad_addexec(pdb-g pdb-g.c libwdb)
+brlcad_addexec(pipe pipe.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(pipetest pipetest.c libwdb)
+brlcad_addexec(pix2g pix2g.c libwdb)
+brlcad_addexec(pyramid pyramid.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(rawbot rawbot.c libwdb)
+brlcad_addexec(ringworld ringworld.c libwdb)
+brlcad_addexec(room "room.c;common.c" "libwdb;${M_LIBRARY}")
+brlcad_addexec(sketch sketch.c libwdb)
+brlcad_addexec(sphflake sphflake.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(spltest spltest.c libwdb)
 
 # NOSTRICT used due to openNURBS header inlining warning
-BRLCAD_ADDEXEC(surfaceintersect surfaceintersect.cpp "libwdb;${OPENNURBS_LIBRARY}" NOSTRICT)
-BRLCAD_ADDEXEC(tea tea.c libwdb)
-BRLCAD_ADDEXEC(tea_nmg tea_nmg.c libwdb)
-BRLCAD_ADDEXEC(wavy wavy.c libwdb)
-BRLCAD_ADDEXEC(torii torii.c libwdb)
-BRLCAD_ADDEXEC(tube tube.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(vegetation vegetation.c "libwdb;${M_LIBRARY}")
-BRLCAD_ADDEXEC(wdb_example wdb_example.c libwdb)
+brlcad_addexec(surfaceintersect surfaceintersect.cpp "libwdb;${OPENNURBS_LIBRARY}" NOSTRICT)
+brlcad_addexec(tea tea.c libwdb)
+brlcad_addexec(tea_nmg tea_nmg.c libwdb)
+brlcad_addexec(wavy wavy.c libwdb)
+brlcad_addexec(torii torii.c libwdb)
+brlcad_addexec(tube tube.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(vegetation vegetation.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(wdb_example wdb_example.c libwdb)
 
 set(proc-db_ignore_files
   brepintersect.h
@@ -58,8 +58,8 @@
   tea.h
   vegetation.h
   )
-CMAKEFILES(${proc-db_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${proc-db_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/fbserv/CMakeLists.txt
===================================================================
--- src/fbserv/CMakeLists.txt	(revision 54114)
+++ src/fbserv/CMakeLists.txt	(working copy)
@@ -2,9 +2,9 @@
   ${FB_INCLUDE_DIRS}
   )
 
-BRLCAD_ADDEXEC(fbserv "fbserv.c;server.c" libfb)
+brlcad_addexec(fbserv "fbserv.c;server.c" libfb)
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/remrt/CMakeLists.txt
===================================================================
--- src/remrt/CMakeLists.txt	(revision 54114)
+++ src/remrt/CMakeLists.txt	(working copy)
@@ -4,7 +4,7 @@
   ${FB_INCLUDE_DIRS}
   ${PKG_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES REMRTBIN_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES REMRTBIN_INCLUDE_DIRS)
 include_directories(${REMRTBIN_INCLUDE_DIRS})
 
 include_directories(
@@ -12,13 +12,13 @@
   ${TCL_INCLUDE_DIRS}
   )
 
-BRLCAD_ADDEXEC(remrt "ihost.c;remrt.c" "libremrt;liboptical;libfb")
+brlcad_addexec(remrt "ihost.c;remrt.c" "libremrt;liboptical;libfb")
 
-BRLCAD_ADDEXEC(rtsrv rtsrv.c "libremrt;liboptical;libpkg;libicv")
-SET_TARGET_PROPERTIES(rtsrv PROPERTIES COMPILE_DEFINITIONS "RTSRV")
+brlcad_addexec(rtsrv rtsrv.c "libremrt;liboptical;libpkg;libicv")
+set_target_properties(rtsrv PROPERTIES COMPILE_DEFINITIONS "RTSRV")
 
-CMAKEFILES(ihost.h protocol.h)
-CMAKEFILES(Makefile.am)
+cmakefiles(ihost.h protocol.h)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libanalyze/tests/CMakeLists.txt
===================================================================
--- src/libanalyze/tests/CMakeLists.txt	(revision 54114)
+++ src/libanalyze/tests/CMakeLists.txt	(working copy)
@@ -1,4 +1,4 @@
-BRLCAD_ADDEXEC(tester_density density.c "libanalyze;libbu" NO_INSTALL LOCAL)
+brlcad_addexec(tester_density density.c "libanalyze;libbu" NO_INSTALL LOCAL)
 
 # Local Variables:
 # tab-width: 8
Index: src/libanalyze/CMakeLists.txt
===================================================================
--- src/libanalyze/CMakeLists.txt	(revision 54114)
+++ src/libanalyze/CMakeLists.txt	(working copy)
@@ -4,7 +4,7 @@
   ${BRLCAD_SOURCE_DIR}/include
   ${BU_INCLUDE_DIRS}
   )
-BRLCAD_LIB_INCLUDE_DIRS(analyze ANALYZE_INCLUDE_DIRS "")
+brlcad_lib_include_dirs(analyze ANALYZE_INCLUDE_DIRS "")
 
 set(LIBANALYZE_SOURCES
   density.c
@@ -14,9 +14,9 @@
 
 add_subdirectory(tests)
 
-BRLCAD_ADDLIB(libanalyze "${LIBANALYZE_SOURCES}" "libbu;librt")
-SET_TARGET_PROPERTIES(libanalyze PROPERTIES VERSION 20.0.1 SOVERSION 20)
-CMAKEFILES(Makefile.am)
+brlcad_addlib(libanalyze "${LIBANALYZE_SOURCES}" "libbu;librt")
+set_target_properties(libanalyze PROPERTIES VERSION 20.0.1 SOVERSION 20)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/canon/CMakeLists.txt
===================================================================
--- src/canon/CMakeLists.txt	(revision 54114)
+++ src/canon/CMakeLists.txt	(working copy)
@@ -4,9 +4,9 @@
   ${CMAKE_CURRENT_SOURCE_DIR}
   )
 
-BRLCAD_ADDEXEC(canonize "canonize.c;canonlib.c" libfb)
-CMAKEFILES(canon.h chore.h)
-CMAKEFILES(Makefile.am)
+brlcad_addexec(canonize "canonize.c;canonlib.c" libfb)
+cmakefiles(canon.h chore.h)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/fbed/CMakeLists.txt
===================================================================
--- src/fbed/CMakeLists.txt	(revision 54114)
+++ src/fbed/CMakeLists.txt	(working copy)
@@ -6,7 +6,7 @@
     ${CURSOR_INCLUDE_DIRS}
     ${CMAKE_CURRENT_SOURCE_DIR}
     )
-  LIST(REMOVE_DUPLICATES FBED_INCLUDE_DIRS)
+  list(REMOVE_DUPLICATES FBED_INCLUDE_DIRS)
   include_directories(${FBED_INCLUDE_DIRS})
 
   set(fbed_SOURCES
@@ -23,11 +23,11 @@
     try.c
     )
 
-  BRLCAD_ADDEXEC(fbed "${fbed_SOURCES}" "libfb;libvfont;libtermio;libcursor;${TERMLIB_LIBRARY}")
+  brlcad_addexec(fbed "${fbed_SOURCES}" "libfb;libvfont;libtermio;libcursor;${TERMLIB_LIBRARY}")
 
-  CMAKEFILES(ascii.h cursorbits.h extern.h fb_ik.h popup.h std.h try.h)
+  cmakefiles(ascii.h cursorbits.h extern.h fb_ik.h popup.h std.h try.h)
 endif(HAVE_TERMLIB)
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libwdb/CMakeLists.txt
===================================================================
--- src/libwdb/CMakeLists.txt	(revision 54114)
+++ src/libwdb/CMakeLists.txt	(working copy)
@@ -7,7 +7,7 @@
   ${RT_INCLUDE_DIRS}
   ${SYSV_INCLUDE_DIRS}
   )
-BRLCAD_LIB_INCLUDE_DIRS(wdb WDB_INCLUDE_DIRS "")
+brlcad_lib_include_dirs(wdb WDB_INCLUDE_DIRS "")
 
 set(LIBWDB_SOURCES
   arbn.c
@@ -39,22 +39,22 @@
 
 # Set libwdb compile definitions
 get_property(libwdb_DEFINES GLOBAL PROPERTY libwdb_DEFINES)
-LIST(APPEND libwdb_DEFINES "OBJ_BREP=1")
+list(APPEND libwdb_DEFINES "OBJ_BREP=1")
 if(CPP_DLL_DEFINES)
-  LIST(APPEND libwdb_DEFINES "ON_DLL_IMPORTS")
+  list(APPEND libwdb_DEFINES "ON_DLL_IMPORTS")
 endif(CPP_DLL_DEFINES)
 set_property(GLOBAL PROPERTY libwdb_DEFINES "${libwdb_DEFINES}")
 
-BRLCAD_ADDLIB(libwdb "${LIBWDB_SOURCES}" "librt;libbn;libbu;libsysv;${OPENNURBS_LIBRARY};${REGEX_LIBRARY};${ZLIB_LIBRARY}")
+brlcad_addlib(libwdb "${LIBWDB_SOURCES}" "librt;libbn;libbu;libsysv;${OPENNURBS_LIBRARY};${REGEX_LIBRARY};${ZLIB_LIBRARY}")
 set_target_properties(libwdb PROPERTIES VERSION 20.0.1 SOVERSION 20)
 if(CPP_DLL_DEFINES)
   if(BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY)
-    SET_PROPERTY(TARGET libwdb-static APPEND PROPERTY COMPILE_DEFINITIONS "OBJ_BREP=1")
-    SET_PROPERTY(TARGET libwdb-static APPEND PROPERTY COMPILE_DEFINITIONS "ON_DLL_IMPORTS")
+    set_property(TARGET libwdb-static APPEND PROPERTY COMPILE_DEFINITIONS "OBJ_BREP=1")
+    set_property(TARGET libwdb-static APPEND PROPERTY COMPILE_DEFINITIONS "ON_DLL_IMPORTS")
   endif(BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY)
 endif(CPP_DLL_DEFINES)
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/librtserver/CMakeLists.txt
===================================================================
--- src/librtserver/CMakeLists.txt	(revision 54114)
+++ src/librtserver/CMakeLists.txt	(working copy)
@@ -7,15 +7,15 @@
 	${RT_INCLUDE_DIRS}
 	${JNI_INCLUDE_DIRS}
 	)
-BRLCAD_LIB_INCLUDE_DIRS(rtserver RTSERVER_INCLUDE_DIRS "")
+brlcad_lib_include_dirs(rtserver RTSERVER_INCLUDE_DIRS "")
 
-BRLCAD_ADDLIB(rtserver rtserver.c "librt;libbn;libbu;${WINSOCK_LIB};${ZLIB_LIBRARY}")
+brlcad_addlib(rtserver rtserver.c "librt;libbn;libbu;${WINSOCK_LIB};${ZLIB_LIBRARY}")
 set_target_properties(rtserver PROPERTIES VERSION 20.0.1 SOVERSION 20)
 set_target_properties(rtserver PROPERTIES SUFFIX ".jnilib")
 
-BRLCAD_ADDEXEC(rtserverTest rtserverTest.c "libbu;rtserver" NO_INSTALL)
+brlcad_addexec(rtserverTest rtserverTest.c "libbu;rtserver" NO_INSTALL)
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: misc/pkgconfig/CMakeLists.txt
===================================================================
--- misc/pkgconfig/CMakeLists.txt	(revision 54114)
+++ misc/pkgconfig/CMakeLists.txt	(working copy)
@@ -46,8 +46,8 @@
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${filename_root}.pc DESTINATION ${LIB_DIR}/pkgconfig)
 endforeach(pkgfile ${pkgconfig_DATA})
 
-CMAKEFILES(${pkgconfig_DATA})
-CMAKEFILES(Makefile.am)
+cmakefiles(${pkgconfig_DATA})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: misc/CMakeLists.txt
===================================================================
--- misc/CMakeLists.txt	(revision 54114)
+++ misc/CMakeLists.txt	(working copy)
@@ -17,7 +17,7 @@
     DESTINATION ${CMAKE_BINARY_DIR}/${BIN_DIR}
     FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ
     GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/${BIN_DIR}/brlcad-config)
+  distclean(${CMAKE_BINARY_DIR}/${BIN_DIR}/brlcad-config)
   file(REMOVE ${CMAKE_BINARY_DIR}/misc/brlcad-config)
   install(PROGRAMS ${CMAKE_BINARY_DIR}/bin/brlcad-config DESTINATION ${BIN_DIR})
 else(NOT CMAKE_CONFIGURATION_TYPES)
@@ -28,22 +28,22 @@
       DESTINATION ${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${BIN_DIR}
       FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ
       GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-    DISTCLEAN(${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${BIN_DIR}/brlcad-config)
+    distclean(${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${BIN_DIR}/brlcad-config)
     file(REMOVE ${CMAKE_BINARY_DIR}/${CFG_TYPE_UPPER}/misc/brlcad-config)
   endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
   install(PROGRAMS ${CMAKE_BINARY_DIR}/\${BUILD_TYPE}/bin/brlcad-config DESTINATION ${BIN_DIR})
 endif(NOT CMAKE_CONFIGURATION_TYPES)
 
-BRLCAD_ADDDATA(fortran_example.f sample_applications)
+brlcad_adddata(fortran_example.f sample_applications)
 
 set(density_DATAFILES
   GQA_SAMPLE_DENSITIES
   NIST_DENSITIES
   )
-BRLCAD_ADDDATA(density_DATAFILES data)
+brlcad_adddata(density_DATAFILES data)
 
-BRLCAD_ADDDATA(nsis/brlcad.ico icons)
-BRLCAD_ADDDATA(nsis/archer.ico icons)
+brlcad_adddata(nsis/brlcad.ico icons)
+brlcad_adddata(nsis/archer.ico icons)
 
 find_package(Doxygen)
 if(DOXYGEN_FOUND)
@@ -82,7 +82,7 @@
   win32-msvc
   Makefile.am
   )
-CMAKEFILES(${misc_ignore_files})
+cmakefiles(${misc_ignore_files})
 
 # Local Variables:
 # tab-width: 8
Index: misc/CMake/TCL_PKGINDEX.cmake
===================================================================
--- misc/CMake/TCL_PKGINDEX.cmake	(revision 54114)
+++ misc/CMake/TCL_PKGINDEX.cmake	(working copy)
@@ -48,15 +48,15 @@
     file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl "package ifneeded ${pkgname} ${pkgversion} [list load [file join $dir .. .. \"${loadable_libdir_install}\" ${target_LIBNAME}] ${pkgname}]")
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl DESTINATION lib/${pkgname}${pkgversion})
     file(WRITE ${CMAKE_BINARY_DIR}/lib/${pkgname}${pkgversion}/pkgIndex.tcl "package ifneeded ${pkgname} ${pkgversion} [list load [file join $dir \"${loadable_libdir_build}\" ${target_LIBNAME}] ${pkgname}]")
-    DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl)
-    DISTCLEAN(${CMAKE_BINARY_DIR}/lib/${pkgname}${pkgversion})
+    distclean(${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl)
+    distclean(${CMAKE_BINARY_DIR}/lib/${pkgname}${pkgversion})
   else(NOT CMAKE_CONFIGURATION_TYPES)
     if(MSVC)
       set(loadable_libdir_install "${BIN_DIR}")
     else(MSVC)
       set(loadable_libdir_install "${LIB_DIR}")
     endif(MSVC)
-    DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl)
+    distclean(${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl)
     foreach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
       string(TOUPPER "${CFG_TYPE}" CFG_TYPE_UPPER)
       if(MSVC)
@@ -67,7 +67,7 @@
       get_target_property(target_LIBLOCATION ${target} LOCATION_${CFG_TYPE_UPPER})
       get_filename_component(target_LIBNAME ${target_LIBLOCATION} NAME)
       file(WRITE ${CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CFG_TYPE_UPPER}}/${pkgname}${pkgversion}/pkgIndex.tcl "package ifneeded ${pkgname} ${pkgversion} [list load [file join $dir \"${loadable_libdir_build}\" ${target_LIBNAME}] ${pkgname}]")
-      DISTCLEAN(${CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CFG_TYPE_UPPER}}/${pkgname}${pkgversion})
+      distclean(${CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CFG_TYPE_UPPER}}/${pkgname}${pkgversion})
     endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
     file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl "package ifneeded ${pkgname} ${pkgversion} [list load [file join $dir .. .. \"${loadable_libdir_install}\" ${target_LIBNAME}] ${pkgname}]")
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl DESTINATION lib/${pkgname}${pkgversion})
Index: misc/CMake/FindLEMON.cmake
===================================================================
--- misc/CMake/FindLEMON.cmake	(revision 54114)
+++ misc/CMake/FindLEMON.cmake	(working copy)
@@ -60,7 +60,7 @@
   endif(lemon_path)
 endif(LEMON_EXECUTABLE AND NOT LEMON_TEMPLATE)
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(LEMON DEFAULT_MSG LEMON_EXECUTABLE LEMON_TEMPLATE)
+find_package_handle_standard_args(LEMON DEFAULT_MSG LEMON_EXECUTABLE LEMON_TEMPLATE)
 mark_as_advanced(LEMON_TEMPLATE)
 
 #============================================================
Index: misc/CMake/FindXSLTPROC.cmake
===================================================================
--- misc/CMake/FindXSLTPROC.cmake	(revision 54114)
+++ misc/CMake/FindXSLTPROC.cmake	(working copy)
@@ -43,7 +43,7 @@
 mark_as_advanced(XSLTPROC_EXECUTABLE)
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(XSLTPROC DEFAULT_MSG XSLTPROC_EXECUTABLE)
+find_package_handle_standard_args(XSLTPROC DEFAULT_MSG XSLTPROC_EXECUTABLE)
 
 # FindXSLTPROC.cmake ends here
 
